Seedance 재질 자산 그룹 가져오기
curl --request GET \
--url https://api.tokenlab.sh/v1/videos/assets/groups/{groupId} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.tokenlab.sh/v1/videos/assets/groups/{groupId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.tokenlab.sh/v1/videos/assets/groups/{groupId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "group-20260720123456-vrt01",
"object": "seedance.material_asset_group",
"library_type": "aigc_avatar",
"group_name": "Product references",
"description": "재사용 가능한 제품 샷",
"status": "ACTIVE",
"metadata": null,
"created_at": 1782998400000
}{
"error": {
"message": "Invalid API key provided",
"type": "invalid_api_key"
}
}{
"error": {
"message": "API key not found",
"type": "invalid_request_error"
}
}{
"error": {
"message": "An internal error occurred",
"type": "server_error"
}
}{
"error": {
"message": "Seedance material library request failed",
"type": "server_error",
"code": "seedance_material_library_request_failed"
}
}비디오 및 자료
머티리얼 에셋 그룹 가져오기
TokenLab 그룹 ID를 사용하여 Seedance 머티리얼 그룹 하나를 조회합니다.
GET
/
v1
/
videos
/
assets
/
groups
/
{groupId}
Seedance 재질 자산 그룹 가져오기
머티리얼 그룹 하나를 조회합니다.
library_type은 해당 그룹이 가상 아바타 그룹인지 실제 인물 그룹인지 알려줍니다.
업로드 전에 그룹이 여전히 존재하며 status: "ACTIVE" 상태인지 확인해야 할 경우 이 엔드포인트를 사용하십시오.
project_name은 인증된 조직 내 리소스를 분리합니다. 기본값은 default이며 관련 그룹과 소재에는 대소문자를 구분하는 동일한 값을 사용하세요. POST/PUT은 JSON 본문에, GET/DELETE는 쿼리 매개변수에 지정합니다.
요청 예시
curl "https://api.tokenlab.sh/v1/videos/assets/groups/group-20260720123456-vrt01?project_name=default" \
-H "Authorization: Bearer $TOKENLAB_API_KEY"
응답 예시
{
"id": "group-20260720123456-vrt01",
"object": "seedance.material_asset_group",
"project_name": "default",
"library_type": "aigc_avatar",
"group_name": "Product references",
"description": "Reusable product shots",
"status": "ACTIVE",
"metadata": null,
"created_at": 1782998400000
}
인증
API 키 인증입니다. Dashboard > API > API Keys에서 API 키를 생성하거나 관리하십시오.
경로 매개변수
쿼리 매개변수
자료 리소스에 대한 프로젝트 범위.
Required string length:
1 - 128응답
재질 자산 그룹
TokenLab 머티리얼 그룹 ID. 머티리얼 업로드 시 group_id로 사용하십시오.
사용 가능한 옵션:
seedance.material_asset_group 사용 가능한 옵션:
aigc_avatar, liveness_face 이 머티리얼 그룹에 대한 프로젝트 범위.